import { modalStore, Modal, DialogModal } from '@kevisual/ui';
import { calc } from 'antd/es/theme/internal';
import { useEffect, useRef } from 'react';
import '@kevisual/ui/src/index.css';
export const App = () => {
  const showModel = () => {
    //
  };
  return (
    <div className='flex flex-col w-full h-full bg-gray-400'>
      <div className='p-2 bg-white rounded-md border-b rounded-s rounded-e'>Model</div>
      <div
        className='mt-2 mx-4 bg-white p-2 rounded-md border shadow-sm flex flex-wrap gap-2'
        style={{
          height: 'calc(100vh - 100px)',
          overflow: 'auto',
        }}>
        <ModelOne />
        <ModelTwo />
      </div>
    </div>
  );
};

const ModelOne = () => {
  const ref = useRef<HTMLDivElement>(null);
  const showModel = () => {
    const model = Modal.render(ref.current!, {});
  };
  return (
    <div>
      <div className='w-100 h-100 p-4 rounded-md shadow-md bg-slate-200'>
        model one
        <div className='cursor-pointer p-2 border' onClick={showModel}>
          show
        </div>
        <div ref={ref}> 当前元素是Model的渲染内容</div>
      </div>
    </div>
  );
};

const ModelTwo = () => {
  const ref = useRef<HTMLDivElement>(null);
  const showModel = () => {
    const model = DialogModal.render(ref.current!, {
      dialogTitle: 'Dialog Modal',
      width: '400px',
      dialogTitleCloseIcon: true,
      contentStyle: {
        // maxHeight: '100px',
        // overflow: 'auto',
      }
    });
  };
  return (
    <div>
      <div className='w-100 h-100 p-4 rounded-md shadow-md bg-slate-200'>
        model two
        <div className='cursor-pointer p-2 border' onClick={showModel}>
          show
        </div>
        <div ref={ref}>
          当前元素是Modal Dialog 的渲染内容
          <div>内容</div>
          <div>内容2</div>
          <div>内容3</div>
          <div>内容4</div>
        </div>
      </div>
    </div>
  );
};
